Vault
Compozy Vault HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
GET
/api/vault/secretsQuery Parameters
prefix?string
Filter by vault ref prefix
namespace?string
Filter by vault namespace
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/vault/secrets"{ "secrets": [ { "created_at": "2019-08-24T14:15:22Z", "kind": "string", "namespace": "string", "present": true, "ref": "string", "updated_at": "2019-08-24T14:15:22Z" } ]}DELETE
/api/vault/secretsQuery Parameters
ref*string
Vault ref
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/vault/secrets?ref=string"Empty
PUT
/api/vault/secretsRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/vault/secrets" \ -H "Content-Type: application/json" \ -d '{ "ref": "string", "secret_value": "string" }'{ "secret": { "created_at": "2019-08-24T14:15:22Z", "kind": "string", "namespace": "string", "present": true, "ref": "string", "updated_at": "2019-08-24T14:15:22Z" }}GET
/api/vault/secrets/metadataQuery Parameters
ref*string
Vault ref
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/vault/secrets/metadata?ref=string"{ "secret": { "created_at": "2019-08-24T14:15:22Z", "kind": "string", "namespace": "string", "present": true, "ref": "string", "updated_at": "2019-08-24T14:15:22Z" }}